---
updatedAt: 2025-11-11T00:10:00.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Credit Report

This end-point gets an individual credit report from credit bureau.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ipg",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/lending-service/api/v1/credit-report": {
      "post": {
        "summary": "Credit Report",
        "description": "This end-point gets an individual credit report from credit bureau.",
        "operationId": "credit-report",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "phoneNo"
                ],
                "properties": {
                  "phoneNo": {
                    "type": "string",
                    "description": "The phone number tied to account of the individual whose score you seek. This field is required if the bvn is not available"
                  },
                  "bvn": {
                    "type": "string",
                    "description": "The bank verification number for the individual whose score you seek. This field is required if the phone number tied to the account of this individual is not available"
                  },
                  "clientCode": {
                    "type": "string",
                    "description": "The code given to the client at the point of profiling on the Interswitch Data Service platform"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://sandbox.interswitchng.com/lending-service/api/v1/credit-report \\\n-H \"Authorization: <token>\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"phoneNo\": \"2348165794610\",\n\"bvn\": \"22200092454\",\n\"clientCode\": \"AppClientNamek3jsu8m\"\n}' \n-X POST"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: <token>'\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'https://sandbox.interswitchng.com/lending-service/api/v1/credit-report');\n\n$fieldsString = '{\n\"phoneNo\": \"2348165794610\",\n\"bvn\": \"22200092454\",\n\"clientCode\": \"AppClientNamek3jsu8m\"\n}';\ncurl_setopt($curlInit, CURLOPT_POST, true);\ncurl_setopt($curlInit, CURLOPT_POSTFIELDS, $fieldsString);\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const params = `{\n\"phoneNo\": \"2348165794610\",\n\"bvn\": \"22200092454\",\n\"clientCode\": \"AppClientNamek3jsu8m\"\n}`;\nconst options = {\n  hostname: 'sandbox.interswitchng.com',\n  port: 443,\n  path: '/lending-service/api/v1/credit-store',\n  method: 'POST',\n  headers: {\n    Authorization: '<token>',\n    'Content-Type': 'application/json'\n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\nrequest.write(params);\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```